org.apache.storm.testing

## Class ForwardingMetricsConsumer

- java.lang.Object
- - org.apache.storm.testing.ForwardingMetricsConsumer

- All Implemented Interfaces:
    IMetricsConsumer

      public class ForwardingMetricsConsumer
      extends Object
      implements IMetricsConsumer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.metric.api.IMetricsConsumer

      `IMetricsConsumer.DataPoint, IMetricsConsumer.TaskInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingMetricsConsumer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `handleDataPoints(IMetricsConsumer.TaskInfo taskInfo, Collection<IMetricsConsumer.DataPoint> dataPoints)`
    `void` | `prepare(Map<String,Object> topoConf, Object registrationArgument, TopologyContext context, IErrorReporter errorReporter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardingMetricsConsumer

          public ForwardingMetricsConsumer()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> topoConf,
                              Object registrationArgument,
                              TopologyContext context,
                              IErrorReporter errorReporter)

      Specified by:
        `prepare` in interface `IMetricsConsumer`

    - #### handleDataPoints

          public void handleDataPoints(IMetricsConsumer.TaskInfo taskInfo,
                                       Collection<IMetricsConsumer.DataPoint> dataPoints)

      Specified by:
        `handleDataPoints` in interface `IMetricsConsumer`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `IMetricsConsumer`

Copyright © 2021 The Apache Software Foundation. All rights reserved.